# ``twisted`.`mail`.`interfaces`.`INamespacePresenter``

interface documentation

`class INamespacePresenter(Interface): (source)`

Known implementations: `twisted.mail.imap4.MemoryAccount`

View In Hierarchy

Undocumented

Method | `getPersonalNamespaces` | Report the available personal namespaces.
Method | `getSharedNamespaces` | Report the available shared namespaces.
Method | `getUserNamespaces` | Report the available user namespaces.

def getPersonalNamespaces(): (source)

Report the available personal namespaces.

Typically there should be only one personal namespace. A common name for it is `""`, and its hierarchical delimiter is usually `"/"`.

Returns
iterable of two-tuples of strings | The personal namespaces and their hierarchical delimiters. If no namespaces of this type exist, None should be returned.

def getSharedNamespaces(): (source)

Report the available shared namespaces.

Shared namespaces do not belong to any individual user but are usually to one or more of them. Examples of shared namespaces might be `"#news"` for a usenet gateway.

Returns
iterable of two-tuples of strings | The shared namespaces and their hierarchical delimiters. If no namespaces of this type exist, None should be returned.

def getUserNamespaces(): (source)

Report the available user namespaces.

These are namespaces that contain folders belonging to other users access to which this account has been granted.

Returns
iterable of two-tuples of strings | The user namespaces and their hierarchical delimiters. If no namespaces of this type exist, None should be returned.